FUJICOIN-WALLET(1)

NAME
fujicoin-wallet - manual page for fujicoin-wallet v30.0.0

SYNOPSIS
fujicoin-wallet [options] <command>

DESCRIPTION
Fujicoin Core fujicoin-wallet utility version v30.0.0

fujicoin-wallet is an offline tool for creating and interacting with Fujicoin Core wallet files.

By default fujicoin-wallet will act on wallets in the default mainnet wallet directory in the datadir.

To change the target wallet, use the -datadir, -wallet and (test)chain selection arguments.

OPTIONS

-datadir=<dir>

    Specify data directory

-dumpfile=<file name>

    When used with 'dump', writes out the records to this file. When used with 'createfromdump', loads the records into a new wallet.

-help

    Print this help message and exit (also -h or -?)

-version

    Print version and exit

-wallet=<wallet-name>

    Specify wallet name

Debugging/Testing options:

-debug=<category>

    Output debugging information (default: 0).

-printtoconsole

    Send trace/debug info to console (default: 1 when no -debug is true, 0 otherwise).

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, testnet4, signet, regtest

-signet

    Use the signet chain. Equivalent to -chain=signet. Note that the network is defined by the -signetchallenge parameter

-signetchallenge

    Blocks must satisfy the given script to be considered valid (only for signet networks; defaults to the global default signet test network challenge)

-signetseednode

    Specify a seed node for the signet network, in the hostname[:port] format, e.g. sig.net:1234 (may be used multiple times to specify multiple seed nodes; defaults to the global default signet test network seed node(s))

-testnet

    Use the testnet3 chain. Equivalent to -chain=test. Support for testnet3 is deprecated and will be removed in an upcoming release. Consider moving to testnet4 now by using -testnet4.

-testnet4

    Use the testnet4 chain. Equivalent to -chain=testnet4.

Commands:

    create

    Create a new descriptor wallet file

    createfromdump

    Create new wallet file from dumped records

    dump

    Print out all of the wallet key-value records

    info

    Get wallet info

COPYRIGHT
Copyright (C) 2009-2025 The Fujicoin Core developers Please contribute if you find Fujicoin Core useful. Visit <https://bitcoincore.org/> for further information about the software. The source code is available from <https://github.com/bitcoin/bitcoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/license/MIT>

SEE ALSO
fujicoin(1), fujicoind(1), fujicoin-cli(1), fujicoin-tx(1), fujicoin-wallet(1), fujicoin-util(1), fujicoin-qt(1)